## org.gnu.gtk
Class TextAttributes

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.TextAttributes

public class TextAttributes
extends Boxed

A read only store of text attributes as returned by `TextIter.getAttributes(TextAttributes)`.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`protected` `TextAttributes(Handle handle)`

Method Summary
`TextAppearance` `getAppearance()`
`protected static Handle` `getAppearance(Handle cptr)`
`boolean` `getBgFullHeight()`
`protected static boolean` `getBgFullHeight(Handle cptr)`
`TextDirection` `getDirection()`
`protected static int` `getDirection(Handle cptr)`
`boolean` `getEditable()`
`protected static boolean` `getEditable(Handle cptr)`
`protected static Handle` `getFont(Handle cptr)`
`FontDescription` `getFontDescription()`
`double` `getFontScale()`
`protected static double` `getFontScale(Handle cptr)`
`int` `getIndent()`
`protected static int` `getIndent(Handle cptr)`
`boolean` `getInvisible()`
`protected static boolean` `getInvisible(Handle cptr)`
`Justification` `getJustification()`
`protected static int` `getJustification(Handle cptr)`
`Language` `getLanguage()`
`protected static Handle` `getLanguage(Handle cptr)`
`int` `getLeftMargin()`
`protected static int` `getLeftMargin(Handle cptr)`
`protected static boolean` `getPad1(Handle cptr)`
`protected static boolean` `getPad2(Handle cptr)`
`protected static boolean` `getPad3(Handle cptr)`
`protected static boolean` `getPad4(Handle cptr)`
`int` `getPixelsAboveLines()`
`protected static int` `getPixelsAboveLines(Handle cptr)`
`int` `getPixelsBelowLines()`
`protected static int` `getPixelsBelowLines(Handle cptr)`
`int` `getPixelsInsideWrap()`
`protected static int` `getPixelsInsideWrap(Handle cptr)`
`boolean` `getRealized()`
`protected static boolean` `getRealized(Handle cptr)`
`int` `getRightMargin()`
`protected static int` `getRightMargin(Handle cptr)`
`TabArray` `getTabArray()`
`protected static Handle` `getTabs(Handle cptr)`
`WrapMode` `getWrapMode()`
`protected static int` `getWrapMode(Handle cptr)`
`protected static void` `gtk_text_attributes_copy_values(Handle src, int dest)`
`protected static Handle` `gtk_text_attributes_copy(Handle src)`
`protected static Handle` `gtk_text_attributes_new()`
`protected static void` `gtk_text_attributes_ref(Handle values)`
`protected static void` `gtk_text_attributes_unref(Handle values)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextAttributes

    protected TextAttributes(Handle handle)

Method Detail

### getAppearance

    public TextAppearance getAppearance()

### getJustification

    public Justification getJustification()

### getDirection

    public TextDirection getDirection()

### getFontDescription

    public FontDescription getFontDescription()

### getFontScale

    public double getFontScale()

### getLeftMargin

    public int getLeftMargin()

### getIndent

    public int getIndent()

### getRightMargin

    public int getRightMargin()

### getPixelsAboveLines

    public int getPixelsAboveLines()

### getPixelsBelowLines

    public int getPixelsBelowLines()

### getPixelsInsideWrap

    public int getPixelsInsideWrap()

### getTabArray

    public TabArray getTabArray()

### getWrapMode

    public WrapMode getWrapMode()

### getLanguage

    public Language getLanguage()

### getInvisible

    public boolean getInvisible()

### getBgFullHeight

    public boolean getBgFullHeight()

### getEditable

    public boolean getEditable()

### getRealized

    public boolean getRealized()

### getAppearance

    protected static final Handle getAppearance(Handle cptr)

### getJustification

    protected static final int getJustification(Handle cptr)

### getDirection

    protected static final int getDirection(Handle cptr)

### getFont

    protected static final Handle getFont(Handle cptr)

### getFontScale

    protected static final double getFontScale(Handle cptr)

### getLeftMargin

    protected static final int getLeftMargin(Handle cptr)

### getIndent

    protected static final int getIndent(Handle cptr)

### getRightMargin

    protected static final int getRightMargin(Handle cptr)

### getPixelsAboveLines

    protected static final int getPixelsAboveLines(Handle cptr)

### getPixelsBelowLines

    protected static final int getPixelsBelowLines(Handle cptr)

### getPixelsInsideWrap

    protected static final int getPixelsInsideWrap(Handle cptr)

### getTabs

    protected static final Handle getTabs(Handle cptr)

### getWrapMode

    protected static final int getWrapMode(Handle cptr)

### getLanguage

    protected static final Handle getLanguage(Handle cptr)

### getInvisible

    protected static final boolean getInvisible(Handle cptr)

### getBgFullHeight

    protected static final boolean getBgFullHeight(Handle cptr)

### getEditable

    protected static final boolean getEditable(Handle cptr)

### getRealized

    protected static final boolean getRealized(Handle cptr)

### getPad1

    protected static final boolean getPad1(Handle cptr)

### getPad2

    protected static final boolean getPad2(Handle cptr)

### getPad3

    protected static final boolean getPad3(Handle cptr)

### getPad4

    protected static final boolean getPad4(Handle cptr)

### gtk_text_attributes_new

    protected static final Handle gtk_text_attributes_new()

### gtk_text_attributes_copy

    protected static final Handle gtk_text_attributes_copy(Handle src)

### gtk_text_attributes_copy_values

    protected static final void gtk_text_attributes_copy_values(Handle src,
                                                                int dest)

### gtk_text_attributes_unref

    protected static final void gtk_text_attributes_unref(Handle values)

### gtk_text_attributes_ref

    protected static final void gtk_text_attributes_ref(Handle values)